Uploaded image for project: 'IvyDE'
  1. IvyDE
  2. IVYDE-122

Support latest dev version of ivy.jar in IVYDE build

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 2.0.0.beta1
    • 2.0.0.beta1
    • None
    • None

    Description

      Currently the build system of IVYDE requires a fixed filename of the ivy jar. (org.apache.ivy_cr1.jar).
      If this jar is not available, the build stops with a strange error (such as in IVYDE-65).

      It would be very nice if

      • The IVYDE build (e.g. ant install-ivy) would support an arbitrary version of the ivy jar
      • If the jar is not available, a decent error message would be logged
      • The build instructions on the wiki (http://cwiki.apache.org/IVY/releasing-ivyde.html) were updated to reflect the current build procedure

      Attachments

        Issue Links

          Activity

            People

              hibou Nicolas Lalevée
              fbascheper Erik-Berndt Scheper
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: